Subject: Re: [TR] Triumphs Digest, Vol 7, Issue 305

From: Bob Peglow <[email-masked]>
Date: Fri, 31 Oct 2014 15:45:00 -0400 (EDT)

B >    1. What's that noise? (Peter Arakelian)

Peter I hope this is not your problem.
After years driving on winter roads (with salt) I found my TR250 chassis
cracked from rust near the swing axle mounting. I could not easily see
it because there was undercoat on the chassis. It made a creaking sound
when the chassis flexed as I went up my raised driveway entrance on an
angle..
Good luck with it.
Regards,
Bob
B 

** [email-masked] **

Archive: http://www.team.net/archive